### Function

# ICalGLib Timezone truncate_vtimezone

since: 4.0

#### Declaration [src]

    void
    i_cal_timezone_truncate_vtimezone (
      ICalComponent* comp,
      const ICalTime* start,
      const ICalTime* end,
      gboolean ms_compatible
    )

#### Description [src]

Truncate a VTIMEZONE component to the given start and end times. If either time is null, then no truncation will occur at that point. If either time is non-null, then it MUST be specified as UTC. If the start time is non-null and ms_compatible is zero, then the DTSTART of RRULEs will be adjusted to occur after the start time.

Available since: 4.0

#### Parameters

`comp`

  Type: `ICalComponent`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`start`

  Type: `ICalTime`

  A start `ICalTime`.

  The data is owned by the caller of the function.

`end`

  Type: `ICalTime`

  An end `ICalTime`.

  The data is owned by the caller of the function.

`ms_compatible`

  Type: `gboolean`

  Whether to truncate the timezone in a Microsoft-compatible way.